﻿@model IEnumerable<BoE.WebSite.Areas.Admin.Models.CharacterModel>

<table class="table-rounded bordered">
    <thead>
        <tr>
            <th>@Html.DisplayNameFor(m => m.Name)</th>
            <th>@Html.DisplayNameFor(m => m.Level)</th>
            <th>@Html.DisplayNameFor(m => m.Generation)</th>
            <th>@Html.DisplayNameFor(m => m.Gold)</th>
            <th>@Html.DisplayNameFor(m => m.Experience)</th>
            <th>@Html.DisplayNameFor(m => m.LastSeen)</th>
            <th>@Html.DisplayNameFor(m => m.CreationDate)</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var ch in Model)
        {
            <tr>
                <td>@Html.DisplayFor(m => ch.Name)</td>
                <td>@Html.DisplayFor(m => ch.Level)</td>
                <td>@Html.DisplayFor(m => ch.Generation)</td>
                <td>@Html.DisplayFor(m => ch.Gold)</td>
                <td>@Html.DisplayFor(m => ch.Experience)</td>
                <td>@(ch.LastSeen.HasValue ? ch.LastSeen.Value.ToString("dd/MM/yy") : "")</td>
                <td>@ch.CreationDate.ToString("dd/MM/yy")</td>
                <td>
                    @Html.ActionLink("details", "CharacterDetails", new { characterId=ch.CharacterId }) <span> | </span>
                    @Html.ActionLink("ban", "BanCharacter", new { characterId=ch.CharacterId }) <span> | </span>
                    @Html.ActionLink("give gold/xp", "GiveGoldXp", new { characterId=ch.CharacterId }) <span> | </span>
                    @Html.ActionLink("manage game role", "ManageGameRole", new { characterId=ch.CharacterId })
                </td>
            </tr>
        }
    </tbody>
</table>